%{?nodejs_find_provides_and_requires}
%global enable_tests 0
%global packagename readable-stream
%global owner nodejs
Name:                nodejs-readable-stream
Version:             2.3.6
Release:             2
Summary:             Streams3, a user-land copy of the stream library from Node.js
License:             MIT
URL:                 https://www.npmjs.org/package/readable-stream
Source0:             https://github.com/nodejs/readable-stream/archive/v%{version}/readable-stream-%{version}.tar.gz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging >= 6
BuildRequires:       npm(core-util-is) nodejs-inherits1 npm(isarray) npm(process-nextick-args)
BuildRequires:       npm(safe-buffer) npm(string_decoder) npm(util-deprecate) nodejs-inherits
%if 0%{?enable_tests}
BuildRequires:       npm(babel-polyfill) npm(tap) npm(tape)
%endif
%description
This package is a mirror of the Streams2 and Streams3 implementations in
Node-core.

%prep
%autosetup -n %{packagename}-%{version}
rm -rf node_modules/
%nodejs_fixdep isarray '~2.0.5'
%nodejs_fixdep string_decoder '~0.10.1'

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/readable-stream
cp -pr package.json lib *.js \
    %{buildroot}%{nodejs_sitelib}/readable-stream
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
tap test/parallel/*.js test/ours/*.js
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/readable-stream/

%changelog
* Thu Jul 7 2022 houyingchao <houyingchao@h-partners.com> - 2.3.6-2
- Fix compilation failed

* Fri Aug 14 2020 wangyue <wangyue92@huawei.com> - 2.3.6-1
- Package init
